Bug 1023153

Summary: hammer: proxy list returns differently-sorted results each time.
Product: Red Hat Satellite Reporter: Corey Welton <cwelton>
Component: ProvisioningAssignee: Martin Bacovsky <mbacovsk>
Status: CLOSED CURRENTRELEASE QA Contact: Tazim Kolhar <tkolhar>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 6.0.2CC: cwelton, dcleal, ohadlevy, tkolhar
Target Milestone: UnspecifiedKeywords: Reopened, Triaged
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
URL: http://projects.theforeman.org/issues/3504
Whiteboard:
Fixed In Version: rubygem-hammer_cli-0.0.13-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-02 14:14:32 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Corey Welton 2013-10-24 17:47:12 UTC
Description of problem:
run 'proxy list' and get a random sort by column

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  run 'hammer -u admin -p admin proxy list' three times in a row and see what happens.

Actual results:

[root@cloud-qe-21 ~]# hammer -u admin -p admin proxy list
--------------------------------------------------------------------
NAME                           | ID | URL                           
--------------------------------------------------------------------
cloud-qe-21.idm.lab.bos.red... | 1  | https://cloud-qe-21.idm.lab...
lenovo-rd230-01.lab.bos.red... | 2  | https://lenovo-rd230-01.lab...
mgmt2.rhq.lab.eng.bos.redha... | 4  | https://mgmt2.rhq.lab.eng.b...
--------------------------------------------------------------------
[root@cloud-qe-21 ~]# hammer -u admin -p admin proxy list
--------------------------------------------------------------------
NAME                           | URL                            | ID
--------------------------------------------------------------------
cloud-qe-21.idm.lab.bos.red... | https://cloud-qe-21.idm.lab... | 1 
lenovo-rd230-01.lab.bos.red... | https://lenovo-rd230-01.lab... | 2 
mgmt2.rhq.lab.eng.bos.redha... | https://mgmt2.rhq.lab.eng.b... | 4 
--------------------------------------------------------------------
[root@cloud-qe-21 ~]# hammer -u admin -p admin proxy list
--------------------------------------------------------------------
ID | URL                            | NAME                          
--------------------------------------------------------------------
1  | https://cloud-qe-21.idm.lab... | cloud-qe-21.idm.lab.bos.red...
2  | https://lenovo-rd230-01.lab... | lenovo-rd230-01.lab.bos.red...
4  | https://mgmt2.rhq.lab.eng.b... | mgmt2.rhq.lab.eng.bos.redha...
--------------------------------------------------------------------

Expected results:
 Some standard sort, probably by ID, I guess.  An option to let user provide a sort key down the road might be nice, but at very least we should be providing results in the same manner each time.

Additional info:

Comment 1 Corey Welton 2013-10-24 17:47:57 UTC
Satellite-6.0.2-RHEL-6-20131023.1

Comment 5 Tazim Kolhar 2014-05-13 07:23:52 UTC
VERIFIED :

# hammer proxy list
---|---------------------------------------------|---------------------------------------------------------
ID | NAME                                        | URL                                                     
---|---------------------------------------------|---------------------------------------------------------
1  | ibm-x3650m4-01-vm-16.lab.eng.bos.redhat.com | https://ibm-x3650m4-01-vm-16.lab.eng.bos.redhat.com:9090
---|---------------------------------------------|---------------------------------------------------------


# hammer proxy list
---|---------------------------------------------|---------------------------------------------------------
ID | NAME                                        | URL                                                     
---|---------------------------------------------|---------------------------------------------------------
1  | ibm-x3650m4-01-vm-16.lab.eng.bos.redhat.com | https://ibm-x3650m4-01-vm-16.lab.eng.bos.redhat.com:9090
---|---------------------------------------------|---------------------------------------------------------


# hammer proxy list
---|---------------------------------------------|---------------------------------------------------------
ID | NAME                                        | URL                                                     
---|---------------------------------------------|---------------------------------------------------------
1  | ibm-x3650m4-01-vm-16.lab.eng.bos.redhat.com | https://ibm-x3650m4-01-vm-16.lab.eng.bos.redhat.com:9090
---|---------------------------------------------|---------------------------------------------------------

Comment 6 Bryan Kearney 2014-07-02 14:09:38 UTC
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Comment 7 Bryan Kearney 2014-07-02 14:09:44 UTC
This was delivered in 6.0.3, the Beta version of Satellite 6.0

Comment 8 Bryan Kearney 2014-07-02 14:14:32 UTC
This was delivered in the Satellite 6 Beta (6.0.3)